summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/qt-assistant/ChangeLog7
-rw-r--r--x11-libs/qt-assistant/qt-assistant-4.6.1.ebuild73
-rw-r--r--x11-libs/qt-core/ChangeLog7
-rw-r--r--x11-libs/qt-core/qt-core-4.6.1.ebuild231
-rw-r--r--x11-libs/qt-dbus/ChangeLog7
-rw-r--r--x11-libs/qt-dbus/qt-dbus-4.6.1.ebuild40
-rw-r--r--x11-libs/qt-demo/ChangeLog9
-rw-r--r--x11-libs/qt-demo/qt-demo-4.6.1.ebuild46
-rw-r--r--x11-libs/qt-gui/ChangeLog7
-rw-r--r--x11-libs/qt-gui/qt-gui-4.6.1.ebuild171
-rw-r--r--x11-libs/qt-multimedia/ChangeLog7
-rw-r--r--x11-libs/qt-multimedia/qt-multimedia-4.6.1.ebuild42
-rw-r--r--x11-libs/qt-opengl/ChangeLog9
-rw-r--r--x11-libs/qt-opengl/qt-opengl-4.6.1.ebuild44
-rw-r--r--x11-libs/qt-phonon/ChangeLog7
-rw-r--r--x11-libs/qt-phonon/qt-phonon-4.6.1.ebuild38
-rw-r--r--x11-libs/qt-qt3support/ChangeLog7
-rw-r--r--x11-libs/qt-qt3support/qt-qt3support-4.6.1.ebuild44
-rw-r--r--x11-libs/qt-script/ChangeLog9
-rw-r--r--x11-libs/qt-script/qt-script-4.6.1.ebuild37
-rw-r--r--x11-libs/qt-sql/ChangeLog7
-rw-r--r--x11-libs/qt-sql/qt-sql-4.6.1.ebuild72
-rw-r--r--x11-libs/qt-test/ChangeLog9
-rw-r--r--x11-libs/qt-test/qt-test-4.6.1.ebuild34
-rw-r--r--x11-libs/qt-webkit/ChangeLog7
-rw-r--r--x11-libs/qt-webkit/qt-webkit-4.6.1.ebuild43
-rw-r--r--x11-libs/qt-xmlpatterns/ChangeLog8
-rw-r--r--x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.6.1.ebuild36
28 files changed, 1040 insertions, 18 deletions
diff --git a/x11-libs/qt-assistant/ChangeLog b/x11-libs/qt-assistant/ChangeLog
index 46f388574d03..b10576a42862 100644
--- a/x11-libs/qt-assistant/ChangeLog
+++ b/x11-libs/qt-assistant/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-assistant
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.65 2010/01/14 18:35:05 abcd Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.66 2010/01/19 14:47:51 yngwin Exp $
+
+*qt-assistant-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-assistant-4.6.1.ebuild:
+ Version bump
14 Jan 2010; Jonathan Callen <abcd@gentoo.org>
qt-assistant-4.6.0-r1.ebuild:
diff --git a/x11-libs/qt-assistant/qt-assistant-4.6.1.ebuild b/x11-libs/qt-assistant/qt-assistant-4.6.1.ebuild
new file mode 100644
index 000000000000..85d8ee235888
--- /dev/null
+++ b/x11-libs/qt-assistant/qt-assistant-4.6.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/qt-assistant-4.6.1.ebuild,v 1.1 2010/01/19 14:47:51 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The assistant help module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND="~x11-libs/qt-gui-${PV}[aqua=]
+ ~x11-libs/qt-sql-${PV}[aqua=,sqlite]
+ ~x11-libs/qt-webkit-${PV}[aqua=]"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${P}_rc1-tools.patch" )
+
+# Pixeltool isn't really assistant related, but it relies on
+# the assistant libraries. doc/qch/
+QT4_TARGET_DIRECTORIES="
+tools/assistant
+tools/pixeltool
+tools/qdoc3"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+tools/
+demos/
+examples/
+src/
+include/
+doc/"
+src_configure() {
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-multimedia -no-qt3support -no-svg"
+ qt4-build_src_configure
+}
+
+src_compile() {
+ # help libQtHelp find freshly built libQtCLucene (bug #289811)
+ export LD_LIBRARY_PATH="${S}/lib"
+ export DYLD_LIBRARY_PATH="${S}/lib:${S}/lib/QtHelp.framework"
+ qt4-build_src_compile
+ # ugly hack to build docs
+ cd "${S}"
+ qmake "LIBS+=-L${QTLIBDIR}" "CONFIG+=nostrip" projects.pro || die "qmake projects faied"
+ emake qch_docs || die "emake docs failed"
+}
+
+src_install() {
+ qt4-build_src_install
+ # install documentation
+ # note that emake install_qchdocs fails for undefined reason so we use a
+ # workaround
+ cd "${S}"
+ insinto ${QTDOCDIR#${EPREFIX}}
+ doins -r "${S}"/doc/qch || die "doins qch documentation failed"
+ dobin "${S}"/bin/qdoc3 || die "Installing qdoc3 failed"
+ #emake INSTALL_ROOT="${D}" install_qchdocs || die "emake install_qchdocs failed"
+ # install correct assistant icon, bug 241208
+ dodir /usr/share/pixmaps/ || die "dodir failed"
+ insinto /usr/share/pixmaps/ || die "insinto failed"
+ doins tools/assistant/tools/assistant/images/assistant.png \
+ || die "doins failed"
+ # Note: absolute image path required here!
+ make_desktop_entry /usr/bin/assistant Assistant \
+ /usr/share/pixmaps/assistant.png 'Qt;Development;GUIDesigner' \
+ || die "make_desktop_entry failed"
+}
diff --git a/x11-libs/qt-core/ChangeLog b/x11-libs/qt-core/ChangeLog
index 11ea528265fd..2b7b70ec5644 100644
--- a/x11-libs/qt-core/ChangeLog
+++ b/x11-libs/qt-core/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-core
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.84 2010/01/14 15:39:34 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.85 2010/01/19 14:47:02 yngwin Exp $
+
+*qt-core-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-core-4.6.1.ebuild:
+ Version bump
14 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
qt-core-4.6.0-r1.ebuild:
diff --git a/x11-libs/qt-core/qt-core-4.6.1.ebuild b/x11-libs/qt-core/qt-core-4.6.1.ebuild
new file mode 100644
index 000000000000..f2ddf831b3ec
--- /dev/null
+++ b/x11-libs/qt-core/qt-core-4.6.1.ebuild
@@ -0,0 +1,231 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/qt-core-4.6.1.ebuild,v 1.1 2010/01/19 14:47:02 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="doc +glib iconv optimized-qmake qt3support ssl"
+
+RDEPEND="sys-libs/zlib
+ glib? ( dev-libs/glib )
+ ssl? ( dev-libs/openssl )
+ !<x11-libs/qt-4.4.0:4"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+PDEPEND="qt3support? ( ~x11-libs/qt-gui-${PV}[aqua=,qt3support] )"
+
+QT4_TARGET_DIRECTORIES="
+src/tools/bootstrap
+src/tools/moc
+src/tools/rcc
+src/tools/uic
+src/corelib
+src/xml
+src/network
+src/plugins/codecs
+tools/linguist/lconvert
+tools/linguist/lrelease
+tools/linguist/lupdate"
+
+# Most ebuilds include almost everything for testing
+# Will clear out unneeded directories after everything else works OK
+QT4_EXTRACT_DIRECTORIES="
+include/Qt
+include/QtCore
+include/QtNetwork
+include/QtScript
+include/QtXml
+src/plugins/plugins.pro
+src/plugins/qpluginbase.pri
+src/src.pro
+src/3rdparty/des
+src/3rdparty/harfbuzz
+src/3rdparty/md4
+src/3rdparty/md5
+src/3rdparty/sha1
+src/3rdparty/easing
+src/script
+tools/linguist/shared
+translations"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.6-nolibx11.diff"
+ "${FILESDIR}/${P}-hebrew.patch"
+)
+
+pkg_setup() {
+ qt4-build_pkg_setup
+
+ if has_version x11-libs/qt-core; then
+ # Check to see if they've changed the glib flag since the last time installing this package.
+ if use glib && ! built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ elif ! use glib && built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ fi
+
+ # Check to see if they've changed the qt3support flag since the last time installing this package.
+ # If so, give a list of packages they need to uninstall first.
+ if use qt3support && ! built_with_use x11-libs/qt-core qt3support; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ elif ! use qt3support && built_with_use x11-libs/qt-core qt3support ; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ fi
+ fi
+}
+
+src_unpack() {
+ if use doc; then
+ QT4_EXTRACT_DIRECTORIES="${QT4_EXTRACT_DIRECTORIES}
+ doc/"
+ QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ tools/qdoc3"
+ fi
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+
+ # Don't pre-strip, bug 235026
+ for i in kr jp cn tw ; do
+ echo "CONFIG+=nostrip" >> "${S}"/src/plugins/codecs/${i}/${i}.pro
+ done
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+
+ # bug 172219
+ sed -i -e "s:CXXFLAGS.*=:CXXFLAGS=${CXXFLAGS} :" \
+ "${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix CXXFLAGS failed"
+ sed -i -e "s:LFLAGS.*=:LFLAGS=${LDFLAGS} :" \
+ "${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix LDFLAGS failed"
+}
+
+src_configure() {
+ unset QMAKESPEC
+
+ myconf="${myconf}
+ $(qt_use glib)
+ $(qt_use iconv)
+ $(qt_use optimized-qmake)
+ $(qt_use ssl openssl)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-gif -no-libpng
+ -no-libmng -no-libjpeg -system-zlib -no-webkit -no-phonon -no-xmlpatterns
+ -no-freetype -no-libtiff -no-accessibility -no-fontconfig -no-opengl
+ -no-svg -no-gtkstyle -no-phonon-backend -no-script -no-scripttools
+ -no-cups -no-xsync -no-xinput -no-multimedia"
+
+ if ! use doc; then
+ myconf="${myconf} -nomake docs"
+ fi
+
+ qt4-build_src_configure
+}
+
+src_compile() {
+ # bug 259736
+ unset QMAKESPEC
+ qt4-build_src_compile
+}
+
+src_install() {
+ dobin "${S}"/bin/{qmake,moc,rcc,uic,lconvert,lrelease,lupdate} || die "dobin failed"
+
+ install_directories src/{corelib,xml,network,plugins/codecs}
+
+ emake INSTALL_ROOT="${D}" install_mkspecs || die "emake install_mkspecs failed"
+
+ if use doc; then
+ emake INSTALL_ROOT="${D}" install_htmldocs || die "emake install_htmldocs failed"
+ fi
+
+ # use freshly built libraries
+ local DYLD_FPATH=
+ [[ -d "${S}"/lib/QtCore.framework ]] \
+ && DYLD_FPATH=$(for x in "${S}/lib/"*.framework; do echo -n ":$x"; done)
+ DYLD_LIBRARY_PATH="${S}/lib${DYLD_FPATH}" \
+ LD_LIBRARY_PATH="${S}/lib" "${S}"/bin/lrelease translations/*.ts \
+ || die "generating translations faied"
+ insinto ${QTTRANSDIR#${EPREFIX}}
+ doins translations/*.qm || die "doins translations failed"
+
+ setqtenv
+ fix_library_files
+
+ # List all the multilib libdirs
+ local libdirs=
+ for libdir in $(get_all_libdirs); do
+ libdirs+=:${EPREFIX}/usr/${libdir}/qt4
+ done
+
+ cat <<-EOF > "${T}/44qt4"
+ LDPATH="${libdirs:1}"
+ EOF
+ doenvd "${T}/44qt4"
+
+ dodir ${QTDATADIR#${EPREFIX}}/mkspecs/gentoo
+ mv "${D}"/${QTDATADIR}/mkspecs/qconfig.pri "${D}${QTDATADIR}"/mkspecs/gentoo \
+ || die "Failed to move qconfig.pri"
+
+ # Framework hacking
+ if use aqua && [[ ${CHOST#*-darwin} -ge 9 ]] ; then
+ #TODO do this better
+ sed -i -e '2a#include <QtCore/Gentoo/gentoo-qconfig.h>\n' \
+ "${D}${QTLIBDIR}"/QtCore.framework/Headers/qconfig.h \
+ || die "sed for qconfig.h failed."
+ dosym "${QTHEADERDIR#${EPREFIX}}"/Gentoo "${QTLIBDIR#${EPREFIX}}"/QtCore.framework/Headers/Gentoo
+ else
+ sed -i -e '2a#include <Gentoo/gentoo-qconfig.h>\n' \
+ "${D}${QTHEADERDIR}"/QtCore/qconfig.h \
+ "${D}${QTHEADERDIR}"/Qt/qconfig.h \
+ || die "sed for qconfig.h failed"
+ fi
+
+ if use glib; then
+ QCONFIG_DEFINE="$(use glib && echo QT_GLIB)
+ $(use ssl && echo QT_OPENSSL)"
+ install_qconfigs
+ fi
+
+ # remove some unnecessary headers
+ rm -f "${D}${QTHEADERDIR}"/{Qt,QtCore}/{\
+qatomic_windows.h,\
+qatomic_windowsce.h,\
+qt_windows.h}
+
+ keepdir "${QTSYSCONFDIR#${EPREFIX}}"
+
+ # Framework magic
+ fix_includes
+}
diff --git a/x11-libs/qt-dbus/ChangeLog b/x11-libs/qt-dbus/ChangeLog
index f52856022ea9..85fb3de19211 100644
--- a/x11-libs/qt-dbus/ChangeLog
+++ b/x11-libs/qt-dbus/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-dbus
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.56 2010/01/14 15:41:22 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.57 2010/01/19 14:48:38 yngwin Exp $
+
+*qt-dbus-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-dbus-4.6.1.ebuild:
+ Version bump
14 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
qt-dbus-4.6.0-r1.ebuild:
diff --git a/x11-libs/qt-dbus/qt-dbus-4.6.1.ebuild b/x11-libs/qt-dbus/qt-dbus-4.6.1.ebuild
new file mode 100644
index 000000000000..de3107d3ce06
--- /dev/null
+++ b/x11-libs/qt-dbus/qt-dbus-4.6.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/qt-dbus-4.6.1.ebuild,v 1.1 2010/01/19 14:48:39 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The DBus module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=]
+ >=sys-apps/dbus-1.0.2"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/dbus
+tools/qdbus/qdbus
+tools/qdbus/qdbusxml2cpp
+tools/qdbus/qdbuscpp2xml"
+QCONFIG_ADD="dbus dbus-linked"
+QCONFIG_DEFINE="QT_DBUS"
+
+#FIXME: Check if these are still needed with the header package
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtDBus
+include/QtXml
+src/corelib
+src/xml"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.6-nolibx11.diff"
+)
+
+src_configure() {
+ myconf="${myconf} -dbus-linked"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-demo/ChangeLog b/x11-libs/qt-demo/ChangeLog
index 56fd64277a52..a4c6da4e169e 100644
--- a/x11-libs/qt-demo/ChangeLog
+++ b/x11-libs/qt-demo/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-demo
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/ChangeLog,v 1.38 2009/12/25 15:39:38 abcd Exp $
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/ChangeLog,v 1.39 2010/01/19 14:49:24 yngwin Exp $
+
+*qt-demo-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-demo-4.6.1.ebuild:
+ Version bump
25 Dec 2009; Jonathan Callen <abcd@gentoo.org> qt-demo-4.6.0.ebuild:
Add prefix support
diff --git a/x11-libs/qt-demo/qt-demo-4.6.1.ebuild b/x11-libs/qt-demo/qt-demo-4.6.1.ebuild
new file mode 100644
index 000000000000..fcd2e7bc1c3e
--- /dev/null
+++ b/x11-libs/qt-demo/qt-demo-4.6.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-demo/qt-demo-4.6.1.ebuild,v 1.1 2010/01/19 14:49:24 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="Demonstration module of the Qt toolkit"
+SLOT="4"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND="~x11-libs/qt-assistant-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-core-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-dbus-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-gui-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-multimedia-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-opengl-${PV}:${SLOT}[aqua=]
+ || ( ~x11-libs/qt-phonon-${PV}:${SLOT}[aqua=] media-sound/phonon[aqua=] )
+ ~x11-libs/qt-script-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-sql-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-svg-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-test-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-webkit-${PV}:${SLOT}[aqua=]
+ ~x11-libs/qt-xmlpatterns-${PV}:${SLOT}[aqua=]"
+
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="demos
+ examples"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ doc/src/images
+ src/
+ include/
+ tools/"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-4.6-plugandpaint.patch"
+)
+
+src_install() {
+ insinto "${QTDOCDIR#${EPREFIX}}"/src
+ doins -r "${S}"/doc/src/images || die "Installing images failed."
+
+ qt4-build_src_install
+}
diff --git a/x11-libs/qt-gui/ChangeLog b/x11-libs/qt-gui/ChangeLog
index 208c1c351611..2d161122ad1d 100644
--- a/x11-libs/qt-gui/ChangeLog
+++ b/x11-libs/qt-gui/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-gui
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.90 2010/01/17 19:13:31 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.91 2010/01/19 14:50:12 yngwin Exp $
+
+*qt-gui-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-gui-4.6.1.ebuild:
+ Version bump
17 Jan 2010; Ben de Groot <yngwin@gentoo.org> qt-gui-4.6.0-r2.ebuild:
Add confutils check because gtk useflag depends on glib useflag enabled.
diff --git a/x11-libs/qt-gui/qt-gui-4.6.1.ebuild b/x11-libs/qt-gui/qt-gui-4.6.1.ebuild
new file mode 100644
index 000000000000..3be3d5280f4c
--- /dev/null
+++ b/x11-libs/qt-gui/qt-gui-4.6.1.ebuild
@@ -0,0 +1,171 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/qt-gui-4.6.1.ebuild,v 1.1 2010/01/19 14:50:12 yngwin Exp $
+
+EAPI="2"
+inherit confutils eutils qt4-build
+
+DESCRIPTION="The GUI module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="+accessibility cups dbus +glib gtk mng nas nis raster tiff qt3support xinerama"
+
+RDEPEND="media-libs/fontconfig
+ >=media-libs/freetype-2
+ media-libs/jpeg
+ media-libs/libpng
+ sys-libs/zlib
+ ~x11-libs/qt-core-${PV}[aqua=,debug=,glib=,qt3support=]
+ ~x11-libs/qt-script-${PV}[aqua=,debug=]
+ !aqua? (
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXrandr
+ x11-libs/libXcursor
+ x11-libs/libXfont
+ x11-libs/libSM
+ x11-libs/libXi
+ )
+ cups? ( net-print/cups )
+ dbus? ( ~x11-libs/qt-dbus-${PV}[aqua=,debug=] )
+ gtk? ( x11-libs/gtk+:2[aqua=] )
+ mng? ( >=media-libs/libmng-1.0.9 )
+ nas? ( >=media-libs/nas-1.5 )
+ tiff? ( media-libs/tiff )
+ xinerama? ( x11-libs/libXinerama )"
+DEPEND="${RDEPEND}
+ !aqua? (
+ x11-proto/xextproto
+ x11-proto/inputproto
+ )
+ xinerama? ( x11-proto/xineramaproto )"
+PDEPEND="qt3support? ( ~x11-libs/qt-qt3support-${PV}[aqua=,debug=] )"
+
+QT4_TARGET_DIRECTORIES="
+src/gui
+src/scripttools
+tools/designer
+tools/linguist/linguist
+src/plugins/imageformats/gif
+src/plugins/imageformats/ico
+src/plugins/imageformats/jpeg
+src/plugins/inputmethods"
+
+QT4_EXTRACT_DIRECTORIES="
+include
+src
+tools/linguist/phrasebooks
+tools/linguist/shared
+tools/shared"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-fix-qgraphicsscence.patch
+)
+
+pkg_setup() {
+ if ! use qt3support; then
+ ewarn "WARNING: if you need 'qtconfig', you _must_ enable qt3support."
+ fi
+
+ if use raster; then
+ ewarn "WARNING: You have enabled raster backend rendering engine."
+ ewarn "This is a new feature and may lead to composite problems"
+ ewarn "screen corruption and broken qt4 or kde4 applications. "
+ ewarn "If you encounter such problems please"
+ ewarn "remove 'raster' use flag and re-compile qt-gui before"
+ ewarn "filling a bug on gentoo bugzilla."
+ fi
+
+ confutils_use_depend_all gtk glib
+ qt4-build_pkg_setup
+}
+
+src_unpack() {
+ use dbus && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} tools/qdbus/qdbusviewer"
+ use mng && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/mng"
+ use tiff && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/tiff"
+ use accessibility && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/accessible/widgets"
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES} ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+
+ # Don't build plugins this go around, because they depend on qt3support lib
+ sed -i -e "s:CONFIG(shared:# &:g" "${S}"/tools/designer/src/src.pro
+}
+
+src_configure() {
+ export PATH="${S}/bin:${PATH}"
+ export LD_LIBRARY_PATH="${S}/lib:${LD_LIBRARY_PATH}"
+
+ myconf="$(qt_use accessibility)
+ $(qt_use cups)
+ $(qt_use glib)
+ $(qt_use mng libmng system)
+ $(qt_use nis)
+ $(qt_use tiff libtiff system)
+ $(qt_use dbus qdbus)
+ $(qt_use qt3support)
+ $(qt_use gtk gtkstyle)
+ $(qt_use xinerama)"
+
+ use nas && myconf="${myconf} -system-nas-sound"
+ use raster && myconf="${myconf} -graphicssystem raster"
+
+ myconf="${myconf} -qt-gif -system-libpng -system-libjpeg
+ -no-sql-mysql -no-sql-psql -no-sql-ibase -no-sql-sqlite -no-sql-sqlite2 -no-sql-odbc
+ -xrender -xrandr -xkb -xshape -sm -no-svg"
+
+ # Explicitly don't compile these packages.
+ # Emerge "qt-webkit", "qt-phonon", etc for their functionality.
+ myconf="${myconf} -no-webkit -no-phonon -no-dbus -no-opengl"
+
+ qt4-build_src_configure
+}
+
+src_install() {
+ QCONFIG_ADD="x11sm xshape xcursor xfixes xrandr xrender xkb fontconfig
+ $(usev accessibility) $(usev xinerama) $(usev cups) $(usev nas)
+ gif png system-png system-jpeg
+ $(use mng && echo system-mng)
+ $(use tiff && echo system-tiff)"
+ QCONFIG_REMOVE="no-gif no-png"
+ QCONFIG_DEFINE="$(use accessibility && echo QT_ACCESSIBILITY)
+ $(use cups && echo QT_CUPS) QT_FONTCONFIG QT_IMAGEFORMAT_JPEG
+ $(use mng && echo QT_IMAGEFORMAT_MNG)
+ $(use nas && echo QT_NAS)
+ $(use nis && echo QT_NIS) QT_IMAGEFORMAT_PNG QT_SESSIONMANAGER QT_SHAPE
+ $(use tiff && echo QT_IMAGEFORMAT_TIFF) QT_XCURSOR
+ $(use xinerama && echo QT_XINERAMA) QT_XFIXES QT_XKB QT_XRANDR QT_XRENDER"
+
+ qt4-build_src_install
+
+ # qt-creator
+ # some qt-creator headers are located
+ # under /usr/include/qt4/QtDesigner/private.
+ # those headers are just includes of the headers
+ # which are located under tools/designer/src/lib/*
+ # So instead of installing both, we create the private folder
+ # and drop tools/designer/src/lib/* headers in it.
+ dodir /usr/include/qt4/QtDesigner/private/
+ insinto /usr/include/qt4/QtDesigner/private/
+ doins "${S}"/tools/designer/src/lib/shared/*
+ doins "${S}"/tools/designer/src/lib/sdk/*
+
+ # install correct designer and linguist icons, bug 241208
+ doicon tools/linguist/linguist/images/icons/linguist-128-32.png \
+ tools/designer/src/designer/images/designer.png \
+ || die "doicon failed"
+ # Note: absolute image path required here!
+ make_desktop_entry "${EPREFIX}"/usr/bin/linguist Linguist \
+ "${EPREFIX}"/usr/share/pixmaps/linguist-128-32.png \
+ 'Qt;Development;GUIDesigner' \
+ || die "linguist make_desktop_entry failed"
+ make_desktop_entry "${EPREFIX}"/usr/bin/designer Designer \
+ "${EPREFIX}"/usr/share/pixmaps/designer.png \
+ 'Qt;Development;GUIDesigner' \
+ || die "designer make_desktop_entry failed"
+}
diff --git a/x11-libs/qt-multimedia/ChangeLog b/x11-libs/qt-multimedia/ChangeLog
index bf83a166b454..af1a4544b157 100644
--- a/x11-libs/qt-multimedia/ChangeLog
+++ b/x11-libs/qt-multimedia/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-multimedia
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-multimedia/ChangeLog,v 1.6 2010/01/16 17:35:32 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-multimedia/ChangeLog,v 1.7 2010/01/19 14:51:00 yngwin Exp $
+
+*qt-multimedia-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-multimedia-4.6.1.ebuild:
+ Version bump
16 Jan 2010; Ben de Groot <yngwin@gentoo.org>
qt-multimedia-4.6.0-r1.ebuild:
diff --git a/x11-libs/qt-multimedia/qt-multimedia-4.6.1.ebuild b/x11-libs/qt-multimedia/qt-multimedia-4.6.1.ebuild
new file mode 100644
index 000000000000..fdb00dbf9202
--- /dev/null
+++ b/x11-libs/qt-multimedia/qt-multimedia-4.6.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-multimedia/qt-multimedia-4.6.1.ebuild,v 1.1 2010/01/19 14:51:00 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt multimedia module"
+SLOT="4"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="iconv"
+
+DEPEND="media-libs/alsa-lib
+ ~x11-libs/qt-core-${PV}[aqua=,debug=]
+ ~x11-libs/qt-gui-${PV}[aqua=,debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/multimedia"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtGui/
+include/QtMultimedia/
+src/src.pro
+src/corelib/
+src/gui/
+src/plugins
+src/3rdparty
+src/tools"
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility -no-fontconfig
+ -no-sql-mysql -no-sql-psql -no-sql-ibase -no-sql-sqlite -no-sql-sqlite2
+ -no-sql-odbc -no-glib -no-opengl -no-svg -no-gtkstyle -no-phonon-backend -no-script
+ -no-scripttools -no-cups -no-xsync -no-xinput"
+
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-opengl/ChangeLog b/x11-libs/qt-opengl/ChangeLog
index f46625d12233..f630486f5250 100644
--- a/x11-libs/qt-opengl/ChangeLog
+++ b/x11-libs/qt-opengl/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-opengl
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.56 2009/12/25 15:42:02 abcd Exp $
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.57 2010/01/19 14:53:10 yngwin Exp $
+
+*qt-opengl-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-opengl-4.6.1.ebuild:
+ Version bump
*qt-opengl-4.6.0-r1 (25 Dec 2009)
diff --git a/x11-libs/qt-opengl/qt-opengl-4.6.1.ebuild b/x11-libs/qt-opengl/qt-opengl-4.6.1.ebuild
new file mode 100644
index 000000000000..7866563d9e1e
--- /dev/null
+++ b/x11-libs/qt-opengl/qt-opengl-4.6.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/qt-opengl-4.6.1.ebuild,v 1.1 2010/01/19 14:53:10 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The OpenGL module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="qt3support"
+
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=,qt3support=]
+ ~x11-libs/qt-gui-${PV}[aqua=,debug=,qt3support=]
+ virtual/opengl
+ virtual/glu"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/opengl
+src/plugins/graphicssystems/opengl"
+
+QT4_EXTRACT_DIRECTORIES="
+include/QtCore
+include/QtGui
+include/QtOpenGL
+src/corelib
+src/gui
+src/opengl
+src/plugins
+src/3rdparty"
+
+QCONFIG_ADD="opengl"
+QCONFIG_DEFINE="QT_OPENGL"
+
+src_configure() {
+ myconf="${myconf} -opengl
+ $(qt_use qt3support)"
+
+ qt4-build_src_configure
+
+ # Not building tools/designer/src/plugins/tools/view3d as it's
+ # commented out of the build in the source
+}
diff --git a/x11-libs/qt-phonon/ChangeLog b/x11-libs/qt-phonon/ChangeLog
index b819a2b60da8..af2f6cd5441c 100644
--- a/x11-libs/qt-phonon/ChangeLog
+++ b/x11-libs/qt-phonon/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-phonon
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.57 2010/01/14 15:50:54 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.58 2010/01/19 14:53:54 yngwin Exp $
+
+*qt-phonon-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-phonon-4.6.1.ebuild:
+ Version bump
14 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
qt-phonon-4.6.0-r1.ebuild:
diff --git a/x11-libs/qt-phonon/qt-phonon-4.6.1.ebuild b/x11-libs/qt-phonon/qt-phonon-4.6.1.ebuild
new file mode 100644
index 000000000000..03fdb75a855e
--- /dev/null
+++ b/x11-libs/qt-phonon/qt-phonon-4.6.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/qt-phonon-4.6.1.ebuild,v 1.1 2010/01/19 14:53:54 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Phonon module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="dbus"
+
+DEPEND="~x11-libs/qt-gui-${PV}[aqua=,debug=,glib,qt3support]
+ !kde-base/phonon-kde
+ !kde-base/phonon-xine
+ !media-sound/phonon
+ media-libs/gstreamer
+ media-libs/gst-plugins-base
+ aqua? ( ~x11-libs/qt-opengl-${PV}[aqua] )
+ dbus? ( ~x11-libs/qt-dbus-${PV}[aqua=,debug=] )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/phonon
+src/plugins/phonon"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/
+src"
+
+QCONFIG_ADD="phonon"
+QCONFIG_DEFINE="QT_GSTREAMER"
+
+src_configure() {
+ myconf="${myconf} -phonon -phonon-backend -no-opengl -no-svg
+ $(qt_use dbus qdbus)"
+
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-qt3support/ChangeLog b/x11-libs/qt-qt3support/ChangeLog
index 94062c1905e5..622b4946d7d2 100644
--- a/x11-libs/qt-qt3support/ChangeLog
+++ b/x11-libs/qt-qt3support/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-qt3support
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.61 2010/01/14 15:49:44 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.62 2010/01/19 14:54:47 yngwin Exp $
+
+*qt-qt3support-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-qt3support-4.6.1.ebuild:
+ Version bump
14 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
qt-qt3support-4.6.0-r1.ebuild:
diff --git a/x11-libs/qt-qt3support/qt-qt3support-4.6.1.ebuild b/x11-libs/qt-qt3support/qt-qt3support-4.6.1.ebuild
new file mode 100644
index 000000000000..279a6404ce69
--- /dev/null
+++ b/x11-libs/qt-qt3support/qt-qt3support-4.6.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/qt-qt3support-4.6.1.ebuild,v 1.1 2010/01/19 14:54:47 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt3 support module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="+accessibility kde phonon"
+
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=,qt3support]
+ ~x11-libs/qt-gui-${PV}[accessibility=,aqua=,debug=,qt3support]
+ ~x11-libs/qt-sql-${PV}[aqua=,debug=,qt3support]
+ phonon? (
+ !kde? ( || ( ~x11-libs/qt-phonon-${PV}[aqua=,debug=]
+ media-sound/phonon[aqua=,gstreamer] ) )
+ kde? ( media-sound/phonon[aqua=,gstreamer] ) )"
+
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ QT4_TARGET_DIRECTORIES="
+ src/qt3support
+ src/tools/uic3
+ tools/designer/src/plugins/widgets
+ tools/porting"
+
+ QT4_EXTRACT_DIRECTORIES="src include tools"
+
+ # mac version does not contain qtconfig?
+ [[ ${CHOST} == *-darwin* ]] || QT4_TARGET_DIRECTORIES+=" tools/qtconfig"
+
+ qt4-build_pkg_setup
+}
+
+src_configure() {
+ myconf="${myconf} -qt3support
+ $(qt_use phonon gstreamer)
+ $(qt_use phonon)
+ $(qt_use accessibility)"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-script/ChangeLog b/x11-libs/qt-script/ChangeLog
index a8a51cb6cc8f..7294ecc5027d 100644
--- a/x11-libs/qt-script/ChangeLog
+++ b/x11-libs/qt-script/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-script
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.58 2009/12/25 15:43:39 abcd Exp $
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.59 2010/01/19 14:55:42 yngwin Exp $
+
+*qt-script-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-script-4.6.1.ebuild:
+ Version bump
*qt-script-4.6.0-r1 (25 Dec 2009)
diff --git a/x11-libs/qt-script/qt-script-4.6.1.ebuild b/x11-libs/qt-script/qt-script-4.6.1.ebuild
new file mode 100644
index 000000000000..ce7bc453f7da
--- /dev/null
+++ b/x11-libs/qt-script/qt-script-4.6.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/qt-script-4.6.1.ebuild,v 1.1 2010/01/19 14:55:42 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The ECMAScript module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="iconv"
+
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/script/"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtScript/
+src/corelib/
+src/3rdparty/javascriptcore/
+"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.6-nolibx11.diff"
+)
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -script -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg -no-gtkstyle"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-sql/ChangeLog b/x11-libs/qt-sql/ChangeLog
index 95b616e1b523..1b0f90a8eae1 100644
--- a/x11-libs/qt-sql/ChangeLog
+++ b/x11-libs/qt-sql/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-sql
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.68 2010/01/14 15:44:54 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.69 2010/01/19 14:56:46 yngwin Exp $
+
+*qt-sql-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-sql-4.6.1.ebuild:
+ Version bump
14 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
qt-sql-4.6.0-r1.ebuild:
diff --git a/x11-libs/qt-sql/qt-sql-4.6.1.ebuild b/x11-libs/qt-sql/qt-sql-4.6.1.ebuild
new file mode 100644
index 000000000000..c2893eede2db
--- /dev/null
+++ b/x11-libs/qt-sql/qt-sql-4.6.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/qt-sql-4.6.1.ebuild,v 1.1 2010/01/19 14:56:46 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The SQL module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="firebird iconv mysql odbc postgres qt3support +sqlite"
+
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=,qt3support=]
+ firebird? ( dev-db/firebird )
+ mysql? ( virtual/mysql )
+ odbc? ( dev-db/unixODBC )
+ postgres? ( virtual/postgresql-base )
+ sqlite? ( dev-db/sqlite:3 )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/sql src/plugins/sqldrivers"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtSql/
+include/QtScript/
+src/src.pro
+src/corelib/
+src/plugins
+src/sql
+src/3rdparty
+src/tools"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.6-nolibx11.diff"
+)
+
+pkg_setup() {
+ if ! (use firebird || use mysql || use odbc || use postgres || use sqlite); then
+ ewarn "You need to enable at least one SQL driver. Enable at least"
+ ewarn "one of these USE flags: \"firebird mysql odbc postgres sqlite\""
+ die "Enable at least one SQL driver."
+ fi
+
+ qt4-build_pkg_setup
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+
+ sed -e '/pg_config --libs/d' -i "${S}"/configure \
+ || die "sed to fix postgresql usage in ./configure failed"
+}
+
+src_configure() {
+ # Don't support sqlite2 anymore
+ myconf="${myconf} -no-sql-sqlite2
+ $(qt_use mysql sql-mysql plugin) $(use mysql && echo "-I${EPREFIX}/usr/include/mysql -L${EPREFIX}/usr/$(get_libdir)/mysql ")
+ $(qt_use postgres sql-psql plugin) $(use postgres && echo "-I${EPREFIX}/usr/include/postgresql/pgsql ")
+ $(qt_use sqlite sql-sqlite plugin) $(use sqlite && echo '-system-sqlite')
+ $(qt_use odbc sql-odbc plugin)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility -no-fontconfig
+ -no-glib -no-opengl -no-svg -no-gtkstyle"
+
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-test/ChangeLog b/x11-libs/qt-test/ChangeLog
index 4bc8291fcced..718e875b9bfd 100644
--- a/x11-libs/qt-test/ChangeLog
+++ b/x11-libs/qt-test/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-test
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.56 2009/12/25 15:46:29 abcd Exp $
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.57 2010/01/19 14:58:23 yngwin Exp $
+
+*qt-test-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-test-4.6.1.ebuild:
+ Version bump
*qt-test-4.6.0-r1 (25 Dec 2009)
diff --git a/x11-libs/qt-test/qt-test-4.6.1.ebuild b/x11-libs/qt-test/qt-test-4.6.1.ebuild
new file mode 100644
index 000000000000..0fc10bb06c9b
--- /dev/null
+++ b/x11-libs/qt-test/qt-test-4.6.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/qt-test-4.6.1.ebuild,v 1.1 2010/01/19 14:58:23 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The testing framework module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="iconv"
+
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/testlib"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtTest/
+include/QtCore/
+src/corelib/"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.6-nolibx11.diff"
+)
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-webkit/ChangeLog b/x11-libs/qt-webkit/ChangeLog
index d00d36a41457..873d12c56845 100644
--- a/x11-libs/qt-webkit/ChangeLog
+++ b/x11-libs/qt-webkit/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-webkit
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.75 2010/01/14 15:52:37 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.76 2010/01/19 14:59:39 yngwin Exp $
+
+*qt-webkit-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org> +qt-webkit-4.6.1.ebuild:
+ Version bump
14 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
qt-webkit-4.6.0-r1.ebuild:
diff --git a/x11-libs/qt-webkit/qt-webkit-4.6.1.ebuild b/x11-libs/qt-webkit/qt-webkit-4.6.1.ebuild
new file mode 100644
index 000000000000..728b986fbdc2
--- /dev/null
+++ b/x11-libs/qt-webkit/qt-webkit-4.6.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/qt-webkit-4.6.1.ebuild,v 1.1 2010/01/19 14:59:39 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Webkit module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="kde"
+
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=,ssl]
+ ~x11-libs/qt-dbus-${PV}[aqua=,debug=]
+ ~x11-libs/qt-gui-${PV}[aqua=,dbus,debug=]
+ ~x11-libs/qt-xmlpatterns-${PV}[aqua=,debug=]
+ !kde? ( || ( ~x11-libs/qt-phonon-${PV}:${SLOT}[aqua=,dbus,debug=]
+ media-sound/phonon[aqua=] ) )
+ kde? ( media-sound/phonon[aqua=] )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/3rdparty/webkit/WebCore tools/designer/src/plugins/qwebview"
+QT4_EXTRACT_DIRECTORIES="
+include/
+src/
+tools/"
+QCONFIG_ADD="webkit"
+QCONFIG_DEFINE="QT_WEBKIT"
+
+src_prepare() {
+ [[ $(tc-arch) == "ppc64" ]] && append-flags -mminimal-toc #241900
+ if use sparc; then
+ epatch "${FILESDIR}"/sparc-qt-webkit-sigbus.patch
+ fi
+ epatch "${FILESDIR}"/${P}-solaris-jsvalue.patch
+ epatch "${FILESDIR}"/${P}-solaris-strnstr.patch
+ qt4-build_src_prepare
+}
+
+src_configure() {
+ myconf="${myconf} -webkit"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-xmlpatterns/ChangeLog b/x11-libs/qt-xmlpatterns/ChangeLog
index 60c7be33c75a..82a8c0669c53 100644
--- a/x11-libs/qt-xmlpatterns/ChangeLog
+++ b/x11-libs/qt-xmlpatterns/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-xmlpatterns
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.56 2010/01/14 15:46:03 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.57 2010/01/19 15:01:05 yngwin Exp $
+
+*qt-xmlpatterns-4.6.1 (19 Jan 2010)
+
+ 19 Jan 2010; Ben de Groot <yngwin@gentoo.org>
+ +qt-xmlpatterns-4.6.1.ebuild:
+ Version bump
14 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
qt-xmlpatterns-4.6.0-r1.ebuild:
diff --git a/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.6.1.ebuild b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.6.1.ebuild
new file mode 100644
index 000000000000..72e376d89524
--- /dev/null
+++ b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.6.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.6.1.ebuild,v 1.1 2010/01/19 15:01:05 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The patternist module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[aqua=,debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/xmlpatterns tools/xmlpatterns"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtXml
+include/QtNetwork
+include/QtXmlPatterns
+src/network/
+src/xml/
+src/corelib/"
+
+QCONFIG_ADD="xmlpatterns"
+QCONFIG_DEFINE="QT_XMLPATTERNS"
+
+PATCHES=(
+ "${FILESDIR}/qt-4.6-nolibx11.diff"
+)
+
+src_configure() {
+ myconf="${myconf} -xmlpatterns"
+ qt4-build_src_configure
+}